VTK: vtkGLTFDocumentLoader::Animation::Sampler Struct Reference

| VTK 9.3.1

Public Types | Public Member Functions | Public Attributes | List of all members
vtkGLTFDocumentLoader::Animation::Sampler Struct Reference

`#include <vtkGLTFDocumentLoader.h>`

Collaboration diagram for vtkGLTFDocumentLoader::Animation::Sampler:
[legend]

## Public Types
enum class | InterpolationMode : unsigned char { LINEAR , STEP , CUBICSPLINE }

## Public Member Functions
void | GetInterpolatedData (float t, size_t numberOfComponents, std::vector< float > *output, bool forceStep=false, bool isRotation=false) const
| Get the interpolated animation output at time t. More...

## Public Attributes
InterpolationMode | Interpolation
unsigned int | Input
unsigned int | Output
int | NumberOfComponents
vtkSmartPointer< vtkFloatArray > | InputData
vtkSmartPointer< vtkFloatArray > | OutputData

## Detailed Description

Definition at line 396 of file vtkGLTFDocumentLoader.h.

## Member Enumeration Documentation

## ◆ InterpolationMode

enum vtkGLTFDocumentLoader::Animation::Sampler::InterpolationMode : unsigned char
| strong

Enumerator
LINEAR |
STEP |
CUBICSPLINE |

Definition at line 398 of file vtkGLTFDocumentLoader.h.

## Member Function Documentation

## ◆ GetInterpolatedData()

void vtkGLTFDocumentLoader::Animation::Sampler::GetInterpolatedData | ( | float | t,
|  | size_t | numberOfComponents,
|  | std::vector< float > * | output,
|  | bool | forceStep = `false`,
|  | bool | isRotation = `false`
| ) |  | const

Get the interpolated animation output at time t.

## Member Data Documentation

## ◆ Interpolation

InterpolationMode vtkGLTFDocumentLoader::Animation::Sampler::Interpolation

Definition at line 404 of file vtkGLTFDocumentLoader.h.

## ◆ Input

unsigned int vtkGLTFDocumentLoader::Animation::Sampler::Input

Definition at line 405 of file vtkGLTFDocumentLoader.h.

## ◆ Output

unsigned int vtkGLTFDocumentLoader::Animation::Sampler::Output

Definition at line 406 of file vtkGLTFDocumentLoader.h.

## ◆ NumberOfComponents

int vtkGLTFDocumentLoader::Animation::Sampler::NumberOfComponents

Definition at line 407 of file vtkGLTFDocumentLoader.h.

## ◆ InputData

vtkSmartPointer<vtkFloatArray> vtkGLTFDocumentLoader::Animation::Sampler::InputData

Definition at line 409 of file vtkGLTFDocumentLoader.h.

## ◆ OutputData

vtkSmartPointer<vtkFloatArray> vtkGLTFDocumentLoader::Animation::Sampler::OutputData

Definition at line 410 of file vtkGLTFDocumentLoader.h.

The documentation for this struct was generated from the following file:

- IO/Geometry/vtkGLTFDocumentLoader.h